class RockHitEmitter extends WoEHitEmitter;

defaultproperties
{
    Begin Object Class=SpriteEmitter Name=SpriteEmitter0
        DetailMode=DM_High
        UseCollision=True
        FadeOut=True
        RespawnDeadParticles=False
        UniformSize=True
        AutomaticInitialSpawning=False
        UseRandomSubdivision=True
        Acceleration=(Z=-500.000000)
        DampingFactorRange=(X=(Min=0.000000,Max=0.800000),Y=(Min=0.000000,Max=0.800000),Z=(Min=0.000000,Max=0.500000))
        FadeOutStartTime=1.000000
        MaxParticles=10
        StartSizeRange=(X=(Min=3.000000,Max=1.000000))
        InitialParticlesPerSecond=200.000000
        DrawStyle=PTDS_AlphaBlend
        Texture=Texture'EmitterTextures.MultiFrame.rockchunks02'
        TextureUSubdivisions=4
        TextureVSubdivisions=4
        LifetimeRange=(Min=2.000000)
        StartVelocityRange=(X=(Min=100.000000,Max=300.000000),Y=(Min=-50.000000,Max=50.000000),Z=(Min=-50.000000,Max=50.000000))
        MaxAbsVelocity=(Z=500.000000)
    End Object
    Emitters(0)=SpriteEmitter'SpriteEmitter0'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter1
        FadeOut=True
        FadeIn=True
        RespawnDeadParticles=False
        SpinParticles=True
        UseSizeScale=True
        UseRegularSizeScale=False
        UniformSize=True
        AutomaticInitialSpawning=False
        Acceleration=(Z=10.000000)
        ColorMultiplierRange=(X=(Min=0.250000,Max=0.350000),Y=(Min=0.250000,Max=0.300000),Z=(Min=0.2000000,Max=0.250000))
        FadeOutStartTime=0.500000
        FadeInEndTime=0.100000
        MaxParticles=3
        SpinsPerSecondRange=(X=(Min=-0.200000,Max=0.200000))
        StartSpinRange=(X=(Max=1.000000))
        SizeScale(0)=(RelativeSize=0.300000)
        SizeScale(1)=(RelativeTime=1.000000,RelativeSize=1.000000)
        StartSizeRange=(X=(Min=5.000000,Max=10.000000))
        InitialParticlesPerSecond=5.000000
        DrawStyle=PTDS_Brighten
        Texture=Texture'XEffects.EmitSmoke_t'
        TextureUSubdivisions=4
        TextureVSubdivisions=4
        UseRandomSubdivision=True
        LifetimeRange=(Min=1.000000,Max=1.500000)
        StartVelocityRange=(X=(Min=-8.000000,Max=8.000000),Y=(Min=-8.000000,Max=8.000000))
    End Object
    Emitters(1)=SpriteEmitter'SpriteEmitter1'

	ImpactSounds(0)=Sound'XEffects.Impact1'
	ImpactSounds(1)=Sound'XEffects.Impact1Snd'
	ImpactSounds(2)=Sound'XEffects.Impact2'
	ImpactSounds(3)=Sound'XEffects.Impact2Snd'
	ImpactSounds(4)=Sound'XEffects.Impact3'
	ImpactSounds(5)=Sound'XEffects.Impact3Snd'
	ImpactSounds(6)=Sound'XEffects.Impact4Snd'
	ImpactSounds(7)=Sound'XEffects.Impact5Snd'
	ImpactSounds(8)=Sound'XEffects.Impact6Snd'
	ImpactSounds(9)=Sound'XEffects.Impact7Snd'
}